Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: peripheral::DeviceSlot Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
peripheral::DeviceSlot Interface Reference

Peripheral Device Slot. More...

`import "PeripheralDeviceSlot.idl";`

## Classes
struct | DeviceChangedEvent
| Event: The device attached to this slot has changed. More...
struct | Location
| user writeable location More...
struct | Settings
| user configurable slot attributes More...
struct | SettingsChangedEvent
| Event: The slot settings have been changed. More...

## Public Member Functions
Device | getDevice ()
| Returns the actual device reference.
int | assign (in DeviceID devid)
| Associate this slot with a given (old or detected new) peripheral device.
int | assignAddress (in string packageClass, in Address address)
| Associate this slot with an addressable (new) peripheral device.
int | unassign ()
| Break the association for this slot.
Settings | getSettings ()
| Retrieve the user-defined settings.
int | setSettings (in Settings settings)
| Change the slot settings.

## Public Attributes
constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.
constant int | ERR_NOT_SUPPORTED = 2
| Operation not supported.
constant int | CHANNEL_INVALID = -1
| Device has no channels.

## Detailed Description

Peripheral Device Slot.

Definition at line 47 of file PeripheralDeviceSlot.idl.

## Member Function Documentation

## ◆ assign()

int peripheral::DeviceSlot::assign | ( | in DeviceID | devid | ) |

Associate this slot with a given (old or detected new) peripheral device.

Parameters

  devid | peripheral device identification

Returns
  0 if OK
  ERR_INVALID_PARAMS if devid is unknown or invalid

## ◆ assignAddress()

int peripheral::DeviceSlot::assignAddress | ( | in string | packageClass,
|  | in Address | address )

Associate this slot with an addressable (new) peripheral device.

Parameters

  address | peripheral device address

Returns
  0 if OK
  ERR_INVALID_PARAMS if address is invalid

## ◆ getDevice()

Device peripheral::DeviceSlot::getDevice | ( |  | ) |

Returns the actual device reference.

The reference becomes invalid due to assign/unassign method call. This conditions is also flagged by EVT_KEY_DEVICE_CHANGED event

## ◆ getSettings()

Settings peripheral::DeviceSlot::getSettings | ( |  | ) |

Retrieve the user-defined settings.

Returns
  Slot settings

## ◆ setSettings()

int peripheral::DeviceSlot::setSettings | ( | in Settings | settings | ) |

Change the slot settings.

Parameters

  settings | New slot settings

Returns
  0 if OK
  ERR_INVALID_PARAMS if any parameters are invalid

## ◆ unassign()

int peripheral::DeviceSlot::unassign | ( |  | ) |

Break the association for this slot.

Returns
  0 if OK
  ERR_NOT_SUPPORTED if operation is not supported this is the case for sensors with complete position information

## Member Data Documentation

## ◆ CHANNEL_INVALID

constant int peripheral::DeviceSlot::CHANNEL_INVALID = -1

Device has no channels.

Definition at line 52 of file PeripheralDeviceSlot.idl.

## ◆ ERR_INVALID_PARAMS

constant int peripheral::DeviceSlot::ERR_INVALID_PARAMS = 1

Invalid parameters.

Definition at line 49 of file PeripheralDeviceSlot.idl.

## ◆ ERR_NOT_SUPPORTED

constant int peripheral::DeviceSlot::ERR_NOT_SUPPORTED = 2

Operation not supported.

Definition at line 50 of file PeripheralDeviceSlot.idl.

The documentation for this interface was generated from the following file:

- PeripheralDeviceSlot.idl